=== src/demo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
add_subdirectory("plugin-qt")
add_subdirectory("plugin-sdbus")

add_subdirectory("libqdbusservice-demo")

# add_subdirectory("hook-demo")
