=== debian/changelog ===
deepin-service-manager (1.0.3) unstable; urgency=medium

  * Release 1.0.3

 -- guoyao <guoyao@uniontech.com>  Fri, 14 Apr 2023 10:26:50 +0800

deepin-service-manager (1.0.2-1) unstable; urgency=medium

  * Initial release

 -- fanpengcheng <fanpengcheng@uniontech.com>  Tue, 18 Jan 2022 21:05:37 +0800
