=== debian/control ===
Source: deepin-service-manager
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:  debhelper (>= 11),
 pkg-config,
 cmake,
 qtbase5-dev,
 libsystemd-dev
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin

Package: deepin-service-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: deepin desktop-environment - service manager frame
 Load system plug-ins for unified management

Package: libdeepin-service-framework-dev
Architecture: any
Depends:
 ${misc:Depends},
 libdeepin-service-framework( =${binary:Version})
Description: deepin desktop-environment - service frame for development

Package: libdeepin-service-framework
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: deepin desktop-environment - service frame
