=== debian/changelog ===
deepin-service-manager (1.0.11) unstable; urgency=medium

  * chore: check Qt type plugin Qt-Version

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 06 Mar 2025 19:35:25 +0800

deepin-service-manager (1.0.10) unstable; urgency=medium

  * chore: adapt to Qt6.8

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Mon, 03 Mar 2025 11:35:25 +0800

deepin-service-manager (1.0.9) unstable; urgency=medium

  * Release 1.0.9
  * feat:修改deepin-service-manager进程名称

 -- Chengqi E <echengqi@uniontech.com>  Fri, 10 Jan 2025 10:28:25 +0800

deepin-service-manager (1.0.8) unstable; urgency=medium

  * Release 1.0.8
  * fix:修复deepin-service-manager进入桌面崩溃问题

 -- Chengqi E <echengqi@uniontech.com>  Fri, 29 Nov 2024 11:07:25 +0800

deepin-service-manager (1.0.7) unstable; urgency=medium

  * Release 1.0.7
  * chore: 支持qt插件使用gui，解决崩溃问题

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 31 Oct 2024 15:34:25 +0800

deepin-service-manager (1.0.6) unstable; urgency=medium

  * chore: 解决插件使用传递的dbus，处理dbus相关操作失败的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 29 Oct 2024 17:20:18 +0800

deepin-service-manager (1.0.5) unstable; urgency=medium

  * chore: 去掉插件包，插件整合在deepin-service-plugins项目中

 -- fuleyi <fuleyi@uniontech.com>  Tue, 22 Oct 2024 19:12:30 +0800

deepin-service-manager (1.0.4) unstable; urgency=medium

  * fix:修复dde-appearance不能正常启动
  * chore: systemd hardening

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 15:43:21 +0800
