=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Build-Depends:  debhelper (>= 11),
  pkg-config,
  cmake,
- qtbase5-dev,
+ qt6-base-dev,
+ qt6-tools-dev-tools,
+ qt6-tools-dev,
  libsystemd-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/linuxdeepin
@@ -15,6 +17,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Recommends:
+ deepin-service-plugins
 Description: deepin desktop-environment - service manager frame
  Load system plug-ins for unified management
 
@@ -31,3 +35,4 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Description: deepin desktop-environment - service frame
+
