## deepin-service-manager 1.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/lib")
 
 set(QT_VERSION_MAJOR 6)
+set(DTK_VERSION_MAJOR 6)
 
 add_subdirectory("src")
 # TODO
