=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,7 @@
 add_subdirectory("core")
 add_subdirectory("deepin-service-manager")
 add_subdirectory("libqdbusservice")
-
 add_subdirectory("plugin-qt")
-add_subdirectory("plugin-sdbus")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_subdirectory("demo")
