=== src/plugin-qt/CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-# add_subdirectory("xxx")
+add_subdirectory("OOMScoreAdjust")
