=== debian/changelog ===
deepin-service-manager (1.0.14) unstable; urgency=medium

  * refactor: update Debian build hardening flags

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:54:54 +0800
