=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  qt6-base-dev,
  qt6-tools-dev-tools,
  qt6-tools-dev,
- libsystemd-dev
+ libsystemd-dev,
+ libdtk6core-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/linuxdeepin
 
@@ -18,7 +19,7 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Recommends:
- deepin-service-plugins
+ dde-services
 Description: deepin desktop-environment - service manager frame
  Load system plug-ins for unified management
