## deepin-service-manager 1.0.16

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,6 @@
 add_subdirectory("core")
 add_subdirectory("deepin-service-manager")
 add_subdirectory("libqdbusservice")
-add_subdirectory("plugin-qt")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_subdirectory("demo")
