## deepin-service-manager 1.0.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,8 @@
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
 endif()
+
+option(DISABLE_ELF_QT_CHECK "Disable ELF-header-based Qt version check" OFF)
 
 include(GNUInstallDirs)
 set(CMAKE_CXX_STANDARD 17)
@@ -27,4 +29,3 @@
 
 # TODO:tests, 目前的tests是以前的，后续删掉，补充新的test
 # add_subdirectory("tests")
-
