=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,13 @@
     RENAME deepin-service-group@.service
 )
 
+# Install drop-in configuration for deepin-daemon group
+configure_file(deepin-service-group@deepin-daemon.service.d/override.conf.in 
+    deepin-service-group@deepin-daemon.service.d/override.conf @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-group@deepin-daemon.service.d/override.conf
+    DESTINATION lib/systemd/system/deepin-service-group@deepin-daemon.service.d/
+)
+
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-plugin@.service.system
     DESTINATION lib/systemd/system/
     RENAME deepin-service-plugin@.service
@@ -41,8 +48,8 @@
 set(SYSTEMD_SLICE "Slice=session.slice")
 set(SYSTEMD_INSTALL "")
 configure_file(deepin-service-group@.service.in deepin-service-group@.service.user @ONLY)
-set(EXTRA_AFTER "dde-session-pre.target")
-set(REQUISITE "Requisite=dde-session-initialized.target dde-session-pre.target")
+set(EXTRA_AFTER "dde-session-core.target")
+set(REQUISITE "Requisite=dde-session-core.target")
 set(PARTOF "PartOf=dde-session-initialized.target")
 set(BEFORE "Before=dde-session-initialized.target")
 configure_file(deepin-service-manager.service.in deepin-service-manager.service.user @ONLY)
@@ -65,7 +72,7 @@
 )
 
 install_symlink(deepin-service-manager.service multi-user.target.wants)
-install_user_symlink(deepin-service-manager.service default.target.wants)
+install_user_symlink(deepin-service-manager.service dde-session-initialized.target.wants)
 
 set(LIB_NAME "deepin-qdbus-service")
 
@@ -75,3 +82,6 @@
 # config cmake file
 configure_file(${LIB_NAME}Config.cmake.in ${LIB_NAME}Config.cmake @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${LIB_NAME})
+# debug config file
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-debug-config/org.deepin.service.manager.json DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-debug-config/deepin-debug-config.d)
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-log-config/org.deepin.service.manager.json DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-log-viewer/deepin-log.conf.d)
