=== debian/changelog ===
deepin-service-manager (1.0.21) unstable; urgency=medium

  * fix: correct systemd service dependencies and install location

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Feb 2026 19:26:57 +0800

deepin-service-manager (1.0.20) unstable; urgency=medium

  * fix: prevent duplicate plugin registration with mutex lock

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 15 Jan 2026 19:25:47 +0800

deepin-service-manager (1.0.19) unstable; urgency=medium

  * fix: tighten D-Bus service security policy
  * chore: install deepin-daemon service override file
  * feat: add deepin-daemon service group support

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 18 Dec 2025 19:51:16 +0800

deepin-service-manager (1.0.18) unstable; urgency=medium

  * feat: add reproducible build parameters
  * feat: add debug and log configuration support
  * feat: check Qt version w/o actually loading so file

 -- fuleyi <fuleyi@uniontech.com>  Thu, 04 Dec 2025 19:13:55 +0800
